#include <Servo.h>

// Servo stuff
#define B_SERVO_PIN 4 // Green wire
#define T_SERVO_PIN 2 // Blue wire

// Initialize variables
Servo baseServo;
Servo topServo;
int baseAngle = 90;
int topAngle = 10;

void setup() {
  baseServo.attach(B_SERVO_PIN);
  baseServo.write(baseAngle);
  topServo.attach(T_SERVO_PIN);
  topServo.write(topAngle);
  
  Serial.begin(9600);
}

int whichServo = 0;

void loop() {
  if (Serial.available() > 1) {
    whichServo = int(Serial.read());
    if (whichServo == 0)
      topServo.write(int(Serial.read()));
    else if (whichServo == 1)
      baseServo.write(int(Serial.read()));
  }
}
