import oscP5.*;
import netP5.*;
import processing.serial.*;

OscP5 oscP5;
Serial arduino;

void setup() {
  background(0);
  
  arduino = new Serial(this, "COM8", 9600);
  
  /* start oscP5, listening for incoming messages at port 8000 */
  oscP5 = new OscP5(this,8000);
}

void oscEvent(OscMessage theOscMessage) {
  String addr = theOscMessage.addrPattern();    
  int val = int(theOscMessage.get(0).floatValue());

  if (addr.equals("/1/fader1")) {
    arduino.clear();
    arduino.write(0);
    arduino.write(val);
    println("Top:\t "+val);
  }
  else if (addr.equals("/1/rotary1")) {
    arduino.clear();
    arduino.write(1);
    arduino.write(val);
    println("Bottom:\t "+val);
  }
    
}
    

void draw() {
  
}
